commit:     5275c37f0ac4a22924e8534d9fa9559128749d2d
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Jan 16 15:29:51 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 01:52:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5275c37f

sys-apps/s6-portable-utils: add 2.2.5.1

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/s6-portable-utils/Manifest                |  1 +
 .../s6-portable-utils-2.2.5.1.ebuild               | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sys-apps/s6-portable-utils/Manifest 
b/sys-apps/s6-portable-utils/Manifest
index 20edeceb3401..17c5fd60db80 100644
--- a/sys-apps/s6-portable-utils/Manifest
+++ b/sys-apps/s6-portable-utils/Manifest
@@ -1 +1,2 @@
 DIST s6-portable-utils-2.2.5.0.tar.gz 50911 BLAKE2B 
e79d803544e8df6b791ecd22bd61b7c9535945c5557a25d7bc5488f5015967c4a750f1c0a136cc49b30ddd5bf3fbc17927e5ec01184106e44d0c08643e98e41a
 SHA512 
2e90a1390140818268bd83629579098552c22160537874a90d4be94fae157cb9cdb864859c40847e8588fa9f62fb5af7bf89aa12561f1e6678a7cffc0f0a6d68
+DIST s6-portable-utils-2.2.5.1.tar.gz 51814 BLAKE2B 
ce4f38d7fb7c632f0e8c10c2990d10eb4f5af38330f29aa3b6e6b97fcce5687eb06a7ee241be5f92f093d5edf5a523da993f140c697ec0dbcef46aacb7f88f87
 SHA512 
814ab6467034657d3b46e5b933786a2eab1f9cb630c6d67c91ee635facac7d82b5871b94e53445d57fd466c98cc21ea2df4b74c8d48acc0f0c96e14fb827f613

diff --git a/sys-apps/s6-portable-utils/s6-portable-utils-2.2.5.1.ebuild 
b/sys-apps/s6-portable-utils/s6-portable-utils-2.2.5.1.ebuild
new file mode 100644
index 000000000000..caffbee14be2
--- /dev/null
+++ b/sys-apps/s6-portable-utils/s6-portable-utils-2.2.5.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Set of tiny portable unix utilities"
+HOMEPAGE="https://www.skarnet.org/software/s6-portable-utils/";
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND=">=dev-libs/skalibs-2.13.0.0:="
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+       default
+
+       # Avoid QA warning for LDFLAGS addition
+       sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+       sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+       tc-export AR CC RANLIB
+
+       local myconf=(
+               --bindir=/bin
+               --dynlibdir=/usr/$(get_libdir)
+               --libdir=/usr/$(get_libdir)/${PN}
+               --with-dynlib=/usr/$(get_libdir)
+               --with-lib=/usr/$(get_libdir)/skalibs
+               --with-sysdeps=/usr/$(get_libdir)/skalibs
+               --disable-allstatic
+               --disable-static
+               --disable-static-libc
+       )
+
+       econf "${myconf[@]}"
+}

Reply via email to